#
# spec file for package cinnamon-translations
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 3.6.0
Name:           cinnamon-translations
Version:        3.6.4
Release:        lp150.1.3
Summary:        Translation files for the Cinnamon desktop
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/cinnamon-translations
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  filesystem
BuildArch:      noarch

%description
The package contains the translation files for the Cinnamon packages.

%package -n cinnamon-lang
Summary:        Translations for package cinnamon
Group:          System/Localization
Requires:       cinnamon >= %{_version}
Supplements:    cinnamon
Provides:       cinnamon-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
BuildArch:      noarch

%description -n cinnamon-lang
Provides translations for the "cinnamon" package.

%package -n cinnamon-control-center-lang
Summary:        Translations for package cinnamon-control-center
Group:          System/Localization
Requires:       cinnamon-control-center >= %{_version}
Supplements:    cinnamon-control-center
Provides:       cinnamon-control-center-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
BuildArch:      noarch

%description -n cinnamon-control-center-lang
Provides translations for the "cinnamon-control-center" package.

%package -n cinnamon-screensaver-lang
Summary:        Translations for package cinnamon-screensaver
Group:          System/Localization
Requires:       cinnamon-screensaver >= %{_version}
Supplements:    cinnamon-screensaver
Provides:       cinnamon-screensaver-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
BuildArch:      noarch

%description -n cinnamon-screensaver-lang
Provides translations for the "cinnamon-screensaver" package.

%package -n cinnamon-session-lang
Summary:        Translations for package cinnamon-session
Group:          System/Localization
Requires:       cinnamon-session >= %{_version}
Supplements:    cinnamon-session
Provides:       cinnamon-session-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
BuildArch:      noarch

%description -n cinnamon-session-lang
Provides translations for the "cinnamon-session" package.

%package -n cinnamon-settings-daemon-lang
Summary:        Translations for package cinnamon-settings-daemon
Group:          System/Localization
Requires:       cinnamon-settings-daemon >= %{_version}
Supplements:    cinnamon-settings-daemon
Provides:       cinnamon-settings-daemon-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
BuildArch:      noarch

%description -n cinnamon-settings-daemon-lang
Provides translations for the "cinnamon-settings-daemon" package.

%package -n nemo-lang
Summary:        Translations for package nemo
Group:          System/Localization
Requires:       nemo >= %{_version}
Supplements:    nemo
Provides:       nemo-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
BuildArch:      noarch

%description -n nemo-lang
Provides translations for the "nemo" package.

%package -n nemo-extensions-lang
Summary:        Translations for nemo-extensions packages
Group:          System/Localization
Suggests:       nemo-extension-audio-tab >= %{_version}
Suggests:       nemo-extension-compare >= %{_version}
Suggests:       nemo-extension-emblems >= %{_version}
Suggests:       nemo-extension-file-roller >= %{_version}
Suggests:       nemo-extension-gtkhash >= %{_version}
Suggests:       nemo-extension-image-converter >= %{_version}
Suggests:       nemo-extension-pastebin >= %{_version}
Suggests:       nemo-extension-preview >= %{_version}
Suggests:       nemo-extension-repairer >= %{_version}
Suggests:       nemo-extension-seahorse >= %{_version}
Suggests:       nemo-extension-share >= %{_version}
Supplements:    nemo-extension-audio-tab
Supplements:    nemo-extension-compare
Supplements:    nemo-extension-emblems
Supplements:    nemo-extension-file-roller
Supplements:    nemo-extension-gtkhash
Supplements:    nemo-extension-image-converter
Supplements:    nemo-extension-pastebin
Supplements:    nemo-extension-preview
Supplements:    nemo-extension-repairer
Supplements:    nemo-extension-seahorse
Supplements:    nemo-extension-share
Provides:       nemo-extensions-lang-all = %{version}
Obsoletes:      cinnamon-translations < %{version}
# nemo-extension-compare-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-compare-lang = %{version}
Obsoletes:      nemo-extension-compare-lang < %{version}
# nemo-extension-emblems-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-emblems-lang = %{version}
Obsoletes:      nemo-extension-emblems-lang < %{version}
# nemo-extension-gtkhash-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-gtkhash-lang = %{version}
Obsoletes:      nemo-extension-gtkhash-lang < %{version}
# nemo-extension-image-converter-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-image-converter-lang = %{version}
Obsoletes:      nemo-extension-image-converter-lang < %{version}
# nemo-extension-pastebin-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-pastebin-lang = %{version}
Obsoletes:      nemo-extension-pastebin-lang < %{version}
# nemo-extension-preview-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-preview-lang = %{version}
Obsoletes:      nemo-extension-preview-lang < %{version}
# nemo-extension-repairer-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-repairer-lang = %{version}
Obsoletes:      nemo-extension-repairer-lang < %{version}
# nemo-extension-seahorse-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-seahorse-lang = %{version}
Obsoletes:      nemo-extension-seahorse-lang < %{version}
# nemo-extension-share-lang was last used in openSUSE Leap 42.3.
Provides:       nemo-extension-share-lang = %{version}
Obsoletes:      nemo-extension-share-lang < %{version}
BuildArch:      noarch

%description -n nemo-extensions-lang
Provides translations for the nemo-extensions packages.

%prep
%setup -q

%build
make buildmo %{?_smp_mflags} V=1

%install
mkdir -p %{buildroot}%{_datadir}/locale/
# Only get locales that are present in openSUSE.
ls %{_datadir}/locale/ | while read lang; do
    if [ -d .%{_datadir}/locale/$lang/ ]; then
        cp -a .%{_datadir}/locale/$lang/ %{buildroot}%{_datadir}/locale/
    fi
done

%find_lang cinnamon
%find_lang cinnamon-control-center
%find_lang cinnamon-bluetooth cinnamon-control-center.lang
%find_lang cinnamon-screensaver
%find_lang cinnamon-session
%find_lang cinnamon-settings-daemon
%find_lang nemo
%find_lang nemo-extensions

%files -n cinnamon-lang -f cinnamon.lang
%doc COPYING debian/changelog

%files -n cinnamon-control-center-lang -f cinnamon-control-center.lang

%files -n cinnamon-screensaver-lang -f cinnamon-screensaver.lang

%files -n cinnamon-session-lang -f cinnamon-session.lang

%files -n cinnamon-settings-daemon-lang -f cinnamon-settings-daemon.lang

%files -n nemo-lang -f nemo.lang

%files -n nemo-extensions-lang -f nemo-extensions.lang

%changelog
* Sat Jan  6 2018 sor.alexei@meowr.ru
- Update to version 3.6.4:
  * Update translations.
* Fri Nov 24 2017 sor.alexei@meowr.ru
- Update to version 3.6.3:
  * Update translations.
* Sun Nov 12 2017 sor.alexei@meowr.ru
- Update to version 3.6.2:
  * Update translations.
* Sat Nov  4 2017 sor.alexei@meowr.ru
- Update to version 3.6.1:
  * Update translations.
* Sat Oct 28 2017 sor.alexei@meowr.ru
- Update to version 3.6.0:
  * Update translations.
- Split the cinnamon-translations package into cinnamon-lang,
  cinnamon-control-center-lang, cinnamon-screensaver-lang,
  cinnamon-session.lang, cinnamon-settings-daemon-lang, nemo-lang,
  nemo-extensions-lang.
* Wed Jun 28 2017 sor.alexei@meowr.ru
- Update to version 3.4.3:
  * Update translations.
* Wed May 24 2017 sor.alexei@meowr.ru
- Update to version 3.4.2:
  * Update translations.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 3.4.1 (changes since 3.2.2):
  * Update translations.
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 3.2.2:
  * Update translations.
* Thu Nov 10 2016 sor.alexei@meowr.ru
- Update to version 3.2.1:
  * Update translations.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 3.2.0:
  * No changelog available.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 3.0.3:
  * Update translations.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 3.0.2 (changes since 3.0.0):
  * Remove mocheck (already in mint-translations).
  * Update translations.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 3.0.0:
  * Mocheck: Specify GTK+ version with GI.
  * Mocheck: Delete trailing spaces.
  * Mocheck: Fix more false positives.
  * Filter Xapps PO files in cleanup script.
  * Update translations.
* Sat Nov 28 2015 sor.alexei@meowr.ru
- Update to 2.8.3:
  * Update translations.
* Sat Nov 14 2015 sor.alexei@meowr.ru
- Update to 2.8.2:
  * Update translations.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update to 2.8.1 (changes since 2.6.3):
  * Update translations.
* Sun Oct 18 2015 sor.alexei@meowr.ru
- Update to 2.6.3:
  * Update translations.
- Install locales into a correct directory.
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.2
* Thu Apr 23 2015 stefan@fam-elser.de
- update to verison 2.4.4
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.0
* Tue Jul 15 2014 i@marguerite.su
- update version 2.3.0
  * update translations
* Mon May 26 2014 stefan@fam-elser.de
- update version 2.2.3
* Mon May 19 2014 stefan@fam-elser.de
- update version 2.2.2
* Sat Apr 19 2014 i@marguerite.su
- update version 2.2.0
* Tue Nov 26 2013 johann.luce@wanadoo.fr
- Update version 2.0.3
  * Updated translations
* Fri Nov  8 2013 johann.luce@wanadoo.fr
- Updated to version 2.0.2
  * Updated translations
* Sun Oct 27 2013 i@marguerite.su
- copypac from home:cyberorg:cinnamon
- cleanup
* Thu Oct 10 2013 stefan@fam-elser.de
- Updated to version 2.0.1
* Fri Oct  4 2013 stefan@fam-elser.de
- Initial Release with version 2.0.0
